#include <bits/stdc++.h>

using namespace std;

int main(){
    ios::sync_with_stdio(false);cin.tie(0);cout.tie(0);
    string s;
    cin>>s;
    bool binary=true;
    for(int i=0;i<s.length();i++){
        if(s[i]>'1'){
            binary=false;
            break;
        }
    }
    if(binary){
        int cnt=0;
        for(int i=0;i<s.length();i++){
            if(s[i]=='1'){
                cnt++;
            }
        }
        int cur1=0,cur0=0,maxi=0,b=0;
        for(int i=0;i<s.length();i++){
            if(s[i]=='1'){
                cur1++;
            }
            else{
                cur0++;
            }
            if(cur1-cur0>maxi){
                maxi=cur1-cur0;
                b=cur1;
            }
        }
        cur1=0;
        cur0=0;
        for(int i=s.length()-1;i<0;i++){
            if(s[i]=='1'){
                cur1++;
            }
            else{
                cur0++;
            }
            if(cur1-cur0>maxi){
                maxi=cur1-cur0;
                b=cur1;
            }
        }
        cout<<cnt-maxi;
    }
    return 0;
}